#pragma strict
var faceManager : GameObject;
private var _countdown : float;
private var restart : boolean;

function Start () {

}

function Update () {
	if (restart)
	{
		_countdown -= Time.deltaTime;
		if (_countdown < 0)
		{
			Application.LoadLevel("Aspen");
		}
	}
}

function OnTriggerEnter(other: Collider)
{
	if (other.CompareTag("Player"))
	{
	
		faceManager.SendMessage ("ActivateFinshFace");
		faceManager.SendMessage ("SetControllable", false);
		restart = true;
		_countdown = 5.0;
		
	}
}